Workflow Management
List Workflows
Lists the business’s published workflows, cursor-paginated. Only published workflows are returned; status is not a filter here.
GET
/
v2
/
workflows
List Workflows
curl --request GET \
--url https://api.youverify.co/v2/workflows \
--header 'token: <api-key>'import requests
url = "https://api.youverify.co/v2/workflows"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.youverify.co/v2/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.youverify.co/v2/workflows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.youverify.co/v2/workflows"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.youverify.co/v2/workflows")
.header("token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.youverify.co/v2/workflows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 200,
"message": "Workflows fetched successfully",
"data": {
"docs": [
{
"id": "string",
"businessId": "string",
"parentId": "string",
"name": "string",
"description": "string",
"workflowType": "CO",
"status": "draft",
"lastCreatedVersion": 0,
"liveVersion": 0,
"registryVersion": 0,
"runs": 0,
"alerts": 0,
"failedRuns": 0,
"failedNodes": 0,
"triggerCount": 0,
"publishedAt": "2026-11-03T22:13:10.007Z",
"activatedAt": "2026-11-03T22:13:10.007Z",
"deactivatedAt": "2026-11-03T22:13:10.007Z",
"archivedAt": "2026-11-03T22:13:10.007Z",
"deletedAt": "2026-11-03T22:13:10.007Z",
"createdBy": "string",
"createdByUser": {
"id": "665f1c2ab7e4d21a9c8b4567",
"firstName": "Ada",
"middleName": "Augusta",
"lastName": "Lovelace",
"email": "ada@example.com"
},
"updatedBy": "string",
"updatedByUser": {
"id": "665f1c2ab7e4d21a9c8b4567",
"firstName": "Ada",
"middleName": "Augusta",
"lastName": "Lovelace",
"email": "ada@example.com"
},
"createdAt": "2026-11-03T22:13:10.007Z",
"updatedAt": "2026-11-03T22:13:10.007Z"
}
],
"pagination": {
"type": "cursor",
"perPage": 0,
"nextPage": "string",
"prevPage": "string",
"hasNextPage": true,
"hasPrevPage": true,
"totalDocs": 0,
"totalPages": 0
}
},
"links": [
{}
]
}{
"success": false,
"statusCode": 401,
"message": "Permission denied",
"name": "UnauthorizedError",
"data": {}
}{
"success": false,
"statusCode": 429,
"message": "Too many requests",
"name": "RateLimitError",
"data": {}
}{
"success": false,
"statusCode": 500,
"message": "Internal Server Error",
"name": "Error",
"data": {}
}Authorizations
Your Youverify API secret key. Never expose client-side.
Headers
API secret token
Query Parameters
Filter by workflow type: CO or TM.
Available options:
CO, TM Filter by whether the workflow is live.
Search text.
Return workflows from this date.
Return workflows up to this date.
Number of records per page.
Field to sort by.
Sort direction.
Available options:
asc, desc Cursor for the next page.
Cursor for the previous page.
⌘I
List Workflows
curl --request GET \
--url https://api.youverify.co/v2/workflows \
--header 'token: <api-key>'import requests
url = "https://api.youverify.co/v2/workflows"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.youverify.co/v2/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.youverify.co/v2/workflows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.youverify.co/v2/workflows"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.youverify.co/v2/workflows")
.header("token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.youverify.co/v2/workflows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 200,
"message": "Workflows fetched successfully",
"data": {
"docs": [
{
"id": "string",
"businessId": "string",
"parentId": "string",
"name": "string",
"description": "string",
"workflowType": "CO",
"status": "draft",
"lastCreatedVersion": 0,
"liveVersion": 0,
"registryVersion": 0,
"runs": 0,
"alerts": 0,
"failedRuns": 0,
"failedNodes": 0,
"triggerCount": 0,
"publishedAt": "2026-11-03T22:13:10.007Z",
"activatedAt": "2026-11-03T22:13:10.007Z",
"deactivatedAt": "2026-11-03T22:13:10.007Z",
"archivedAt": "2026-11-03T22:13:10.007Z",
"deletedAt": "2026-11-03T22:13:10.007Z",
"createdBy": "string",
"createdByUser": {
"id": "665f1c2ab7e4d21a9c8b4567",
"firstName": "Ada",
"middleName": "Augusta",
"lastName": "Lovelace",
"email": "ada@example.com"
},
"updatedBy": "string",
"updatedByUser": {
"id": "665f1c2ab7e4d21a9c8b4567",
"firstName": "Ada",
"middleName": "Augusta",
"lastName": "Lovelace",
"email": "ada@example.com"
},
"createdAt": "2026-11-03T22:13:10.007Z",
"updatedAt": "2026-11-03T22:13:10.007Z"
}
],
"pagination": {
"type": "cursor",
"perPage": 0,
"nextPage": "string",
"prevPage": "string",
"hasNextPage": true,
"hasPrevPage": true,
"totalDocs": 0,
"totalPages": 0
}
},
"links": [
{}
]
}{
"success": false,
"statusCode": 401,
"message": "Permission denied",
"name": "UnauthorizedError",
"data": {}
}{
"success": false,
"statusCode": 429,
"message": "Too many requests",
"name": "RateLimitError",
"data": {}
}{
"success": false,
"statusCode": 500,
"message": "Internal Server Error",
"name": "Error",
"data": {}
}